@echo off


::
::: Set Server Offline via Citrix Load Evaluator
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
powershell -PSConsoleFile Citrix.psc1 -File AssignLE.ps1 Offline
now.exe >> reboot.log
echo Server in Offline state >> reboot.log

::
::: Wait 1 hour
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 3600

::
::: Send Message
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
msg * Servern startar om inom 10 minuter, Spara och avsluta.
now.exe >> reboot.log
echo Sent reboot message >> reboot.log

::
::: Wait 10 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 600

::
::: Send Message
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
msg * Serven startas nu om, Spara och avsluta
now.exe >> reboot.log
echo Sent reboot message >> reboot.log

::
::: Wait 1 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 60

::
::: Logoff all users
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
rem FOR /F "TOKENS=3 SKIP=1" %%I IN ('QUERY USER') DO CALL LOGOFF %%I /V
now.exe >> reboot.log
echo Logging off users >> reboot.log

::
::: Wait for 2 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 120

::
::: Delete unused profiles
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
delprof2 /q /i
now.exe >> reboot.log
echo Deleted unused profiles >> reboot.log

::
::: Wait for 2 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 120

::
::: Stop spooler
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
net /y stop spooler
now.exe >> reboot.log
echo Stopped spooler >> reboot.log

::
::: Wait for 1 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 60

::
::: Clean printers
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
del /q %systemroot%\system32\spool\printers\*.*
now.exe >> reboot.log
echo Cleaning printers >> reboot.log

::
::: Wait for 1 minutes
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
sleep 60

::
::: Clean App-V cache
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
reg delete HKLM\Software\Microsoft\Softgrid\4.5\Appfs /v Status
reg add HKLM\Software\Microsoft\Softgrid\4.5\Appfs /v Status /t REG_DWORD /d 0

::
::: Rebbot Server
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
shutdown /l /r /t:30 /c
now.exe >> reboot.log
echo Rebooting server in 30 seconds >> reboot.log




